<?php

require("lib/class.mysqlresult.inc.php");

$mysql=new mysqlresult;
$mysql->connect();

$mysql->query("
     CREATE TABLE `mdb_einstellungen` (
     `Titel` varchar(50) NOT NULL default '0',
     `KopfFarbe` varchar(7) NOT NULL default '',
     `RandFarbe` varchar(7) NOT NULL default '',
     `ErsteTabellenHintergrundFarbe` varchar(7) NOT NULL default '',
     `ZweiteTabellenHintergrundFarbe` varchar(7) NOT NULL default ''
     ) TYPE=MyISAM
");

$mysql->query("
     INSERT INTO `mdb_einstellungen` (`Titel`, `KopfFarbe`, `RandFarbe`, `ErsteTabellenHintergrundFarbe`, `ZweiteTabellenHintergrundFarbe`) VALUES ('Filmdatenbank', '#CCCCCC', '#000000', '#FFFFFF', '#DDDDDD')
");

$mysql->query("
     CREATE TABLE `mdb_filme` (
     `Film_ID` int(14) NOT NULL auto_increment,
     `Titel` varchar(100) NOT NULL default '',
     `Genre` varchar(50) NOT NULL default '0',
     `Inhalt` text NOT NULL,
     `Regie` varchar(50) NOT NULL default '',
     `Laenge` int(10) NOT NULL default '0',
     `Sprachen` varchar(100) NOT NULL default '',
     `Ton` varchar(100) NOT NULL default '',
     `FSK` int(3) NOT NULL default '0',
     `Zeit` int(20) NOT NULL default '0',
     PRIMARY KEY  (`Film_ID`)
     ) TYPE=MyISAM
");

$mysql->query("
     CREATE TABLE `mdb_kommentare` (
     `Beitrag_ID` int(14) NOT NULL auto_increment,
     `Film_ID` int(14) NOT NULL default '0',
     `User_ID` int(14) NOT NULL default '0',
     `Beitrag` text NOT NULL,
     `Sektion` varchar(20) NOT NULL default '',
     `Zeit` int(20) NOT NULL default '0',
     PRIMARY KEY  (`Beitrag_ID`)
     ) TYPE=MyISAM
");

$mysql->query("
     CREATE TABLE `mdb_nn` (
     `User_ID` int(14) NOT NULL default '0',
     `Film_ID` int(14) NOT NULL default '0',
     `DVDTyp` enum('Plus','Minus','Original') NOT NULL default 'Minus',
     `Mappe` int(14) NOT NULL default '0',
     `Seite` int(14) NOT NULL default '0',
     `WeitereAngaben` text NOT NULL,
     `Zeit` int(20) NOT NULL default '0'
     ) TYPE=MyISAM
");

$mysql->query("
     CREATE TABLE `mdb_sessions` (
     `id` int(11) NOT NULL auto_increment,
     `sid` varchar(100) NOT NULL default '',
     `data` text NOT NULL,
     `ip` varchar(20) NOT NULL default '',
     `opened` int(14) default NULL,
     `expire` int(14) default NULL,
     PRIMARY KEY  (`id`),
     UNIQUE KEY `autoid` (`id`)
     ) TYPE=MyISAM
");

$mysql->query("
     CREATE TABLE `mdb_user` (
     `User_ID` int(14) NOT NULL auto_increment,
     `Nickname` varchar(25) NOT NULL default '',
     `Passwort` varchar(60) NOT NULL default '',
     `Beitraege` bigint(20) NOT NULL default '0',
     `Rechte` enum('admin','schreiben','lesen','gesperrt') NOT NULL default 'schreiben',
     PRIMARY KEY  (`User_ID`)
     ) TYPE=MyISAM
");

$mysql->query("
     INSERT INTO `mdb_user` (`User_ID`, `Nickname`, `Passwort`, `Beitraege`, `Rechte`) VALUES (1, 'admin', 'admin', 0, 'admin')
");

echo "install.php erfolgreich ausgefhrt!";

?>
