<?php
//Register-Globals Handle
if(get_cfg_var("register_globals")==false){
     if(!empty($HTTP_GET_VARS)){
          foreach($HTTP_GET_VARS as $var_name => $var_value){
               ${$var_name} = $var_value;
          }
     }
     if(!empty($HTTP_POST_VARS)){
          foreach($HTTP_POST_VARS as $var_name => $var_value){
               ${$var_name} = $var_value;
          }
     }
     if(!empty($HTTP_COOKIE_VARS)){
          foreach($HTTP_COOKIE_VARS as $var_name => $var_value){
               ${$var_name} = $var_value;
          }
     }
     $PHP_SELF = $HTTP_SERVER_VARS["PHP_SELF"];
	$QUERY_STRING = $HTTP_SERVER_VARS["QUERY_STRING"];
}

//MySql Klasse starten und zur DB connecten
require("./lib/class.mysqlresult.inc.php");
$mysql=new mysqlresult;
$mysql->connect();

//Konfiguration auslesen
$SqlResult = $mysql->query("SELECT * FROM mdb_einstellungen");
$showSetting = $mysql->fetcharray($SqlResult);
$numSetting = $mysql->numrows($SqlResult);
for ($i=0;$i<$numSetting;$i++){
     $fieldName = $mysql->field_name($SqlResult,$i);
     $$fieldName = $showSetting[$fieldName];
}
$mysql->freeresult($SqlResult);

//Session hinzufgen
require("./lib/login.inc.php");

//Funktionen
function formatpost($post){
     global $showSetting;
     if ($post==""||$post=="0") return $showSetting[NichtVorhanden];
     
     $post = stripslashes($post);
     $post = htmlspecialchars($post);
     $post = nl2br($post);
     
     //Smilies
     $post = str_replace(":)","<img border=\"0\" src=\"./smilies/smile.gif\" align=\"absmiddle\">",$post);
     $post = str_replace(";)","<img border=\"0\" src=\"./smilies/wink.gif\" align=\"absmiddle\">",$post);
     $post = str_replace(":o","<img border=\"0\" src=\"./smilies/redface.gif\" align=\"absmiddle\">",$post);
     $post = str_replace(":D","<img border=\"0\" src=\"./smilies/biggrin.gif\" align=\"absmiddle\">",$post);
     $post = str_replace(":P","<img border=\"0\" src=\"./smilies/tongue.gif\" align=\"absmiddle\">",$post);
     $post = str_replace(":cool","<img border=\"0\" src=\"./smilies/cool.gif\" align=\"absmiddle\">",$post);
     $post = str_replace(":(","<img border=\"0\" src=\"./smilies/frown.gif\" align=\"absmiddle\">",$post);
     $post = str_replace(":mad","<img border=\"0\" src=\"./smilies/mad.gif\" align=\"absmiddle\">",$post);

     $post = str_replace("javascript:","java script:",$post);
     
     $post = urlparse($post);
     $post = codeparse($post);
     
     return $post;
}

function formatstring($post){
     global $showSetting;
     if ($post==""||$post=="0") return $showSetting[NichtVorhanden];
     
     $post = stripslashes($post);
     $post = htmlspecialchars($post);
     
     return $post;
}

function urlparse($post){
     $urlSA = array(
          "/([^]_a-z0-9-=\"'\/])((https?|teamspeak|ed2k|unreal|ftp|gopher|news|telnet):\/\/|www\.)([^ \r\n\(\)\*\^\$!`\"'\|\[\]\{\};<>]*)/si",
          "/^((https?|teamspeak|ed2k|unreal|ftp|gopher|news|telnet):\/\/|www\.)([^ \r\n\(\)\*\^\$!`\"'\|\[\]\{\};<>]*)/si"
     );
     
     $urlRA = array(
          "\\1[url]\\2\\4[/url]",
          "[url]\\1\\3[/url]"
     );
     
     $emailSA = array(
          "/([ \n\r\t])([_a-zA-Z0-9-]+(\.[_a-zA-Z0-9-]+)*@[a-zA-Z0-9-]+(\.[a-zA-Z0-9-]+)*(\.[a-zA-Z]{2,4}))/si",
          "/^([_a-zA-Z0-9-]+(\.[_a-zA-Z0-9-]+)*@[a-zA-Z0-9-]+(\.[a-zA-Z0-9-]+)*(\.[a-zA-Z]{2,4}))/si"
     );
     
     $emailRA = array(
          "\\1[email]\\2[/email]",
          "[email]\\0[/email]"
     );
     
     $text = preg_replace($urlSA, $urlRA, $post);
     if (strpos($text, "@")){
          $text = preg_replace($emailSA, $emailRA, $text);
     }
     
     return $text;
}

function codeparse($text){
     $search = array(
		'/\[b](.*)\[\/b\]/siU',
		'/\[i](.*)\[\/i\]/siU',
		'/\[u](.*)\[\/u\]/siU',
		'/\[center](.*)\[\/center\]/siU',
		'/\[img](.*)\[\/img\]/siU',
		'/\[edit](.*)\[\/edit\]/siU',
		'#\[color=(.*?)\](.*?)\[/color\]#si',
		'#\[size=(.*?)\](.*?)\[/size\]#si',
		'#\[url=(.*?)\](.*?)\[/url\]#si',
		'#\[url\]www.(.*?)\[/url\]#si',
		'#\[url\](.*?)\[/url]#si',
		'#\[email\](.*?)\[/email\]#si'
	);
	
	$replace = array(
		'<b>\\1</b>',
		'<i>\\1</i>',
		'<u>\\1</u>',
		'<center>\\1</center>',
		'<img border="0" src="\\1">',
		'<table width="95%" align="center"><tr><td><font size="1"><b>Nachtrag:</b></font></td></tr><tr><td class="left" style="border: 1px solid;">\\1</td></tr></table>',
		'<span style="color:\1">\2</span>',
		'<span style="font-size:\1">\2</span>',
		'<a href="\1" target="_blank">\2</a>',
		'<a href="http://www.\1" target="_blank">\1</a>',
		'<a href="\1" target="_blank">\1</a>',
		'<a href="mailto:\1">\1</a>'
	);

	$text = preg_replace($search,$replace,$text);
	$text = str_replace("[hr]","<hr>",$text);
	
	while(preg_match('/\[quote\](.+)\[\/quote\]/isU',$text)){
	     $text = preg_replace('/\[quote](.*)\[\/quote\]/siU',
	     '<table width="95%" align="center"><tr><td><font size="1"><b>Zitat:</b></font></td></tr><tr><td class="left" style="border: 1px solid;">\\1</td></tr></table>',
	     $text);
	}
	
	return $text;
}

function mysqlerrormsg($SqlBefehl){
     echo "<table width=\"98%\" cellspacing=\"1\" cellpadding=\"3\" align=\"center\">
               <tr>
                    <td><font size=\"3\"><b>MySQL Fehler:</b></font></td>
               </tr>
               <tr>
                    <td><b>Befehl (#1):</b></td>
               </tr>
               <tr>
                    <td><pre>".nl2br($SqlBefehl)."</pre><br><br></td>
               </tr>
               <tr>
                    <td><b>Befehl (#2):</b></td>
               </tr>
               <tr>
                    <td>".$SqlBefehl."<br><br></td>
               </tr>
               <tr>
                    <td><b>Meldung:</b></td>
               </tr>
               <tr>
                    <td>".mysql_error()."</td>
               </tr>
          </table>";
}

function stripslashes_array(&$array){
    if (!empty($array)){
         while (list($key,$val) = each($array)){
              if (is_string($val)){
                   $array[$key] = stripslashes($val);
              }
              elseif (is_array($val)){
                   $array[$key] = stripslashes_array($val);
              }
         }
    }
    return $array;
}

function color_switch($i) {
     global $showSetting;
     if(($i/2)==floor($i/2)) {
      	$color=$showSetting[ErsteTabellenHintergrundFarbe];
     } else {
      	$color=$showSetting[ZweiteTabellenHintergrundFarbe];
     }
     return $color;
}

function checkURL($url){
     $tmp = explode(".",chunk_split($url,7,"."));
     if (!($tmp[0]=="http://")) $url = "http://".$url;
     return $url;
}

function sortieren($ColumnName,$ColumnSelect){
     global $PHP_SELF;
     global $HTTP_GET_VARS;
     global $column;
     global $order;
     global $sid;

     $Inhalt = $ColumnName."&nbsp;<a href=\"".$PHP_SELF."?action=".$HTTP_GET_VARS["action"]."&showFilme=".$HTTP_GET_VARS["showFilme"]."&column=".$ColumnSelect."&order=ASC&sid=".$sid."\"><img src=\"";

     if ($column == $ColumnSelect && $order == "ASC"){
          $Inhalt .= "gfx/sort_asc_yellow.gif";
     }
     else{
          $Inhalt .= "gfx/sort_asc.gif";
     }

     $Inhalt .= "\" border=\"0\" alt=\"Aufsteigend sortieren\"></a><a href=\"".$PHP_SELF."?action=".$HTTP_GET_VARS["action"]."&showFilme=".$HTTP_GET_VARS["showFilme"]."&column=".$ColumnSelect."&order=DESC&sid=".$sid."\"><img src=\"";

     if ($column == $ColumnSelect && $order == "DESC"){
          $Inhalt .= "gfx/sort_desc_yellow.gif";
     }
     else{
          $Inhalt .= "gfx/sort_desc.gif";
     }

     $Inhalt .= "\" border=\"0\" alt=\"Absteigend sortieren\"></a>";

     return $Inhalt;
}

function picture_upload($file,$filename,$folder,$width){

     //Wurde ein Bild bergebn
     if ($file==""||$file=="none"){
          return false;
     }

     //Absoluten Pfad bestimmen
     $DelFile = basename($_SERVER["SCRIPT_FILENAME"]);
     $Pfad = ereg_replace($DelFile, "", $_SERVER["SCRIPT_FILENAME"]);

     if ($width != 0){
          //Infos ber das Bild
          $ImageInfo = getimagesize($file);

          if ($ImageInfo[2]!=2){
               echo "Falsches oder unbekanntes Bildformat! Es knnen nur JPG Bilder bearbeitet werden.";
          }

     	$Image = ImageCreateFromJPEG($file);
          $height = ($ImageInfo[1] / $ImageInfo[0]) * $width;
          $NewImage = imagecreatetruecolor($width,$height);

          ImageCopyResampled($NewImage,$Image,0,0,0,0,$width,$height,$ImageInfo[0],$ImageInfo[1]);
        	ImageJPEG($NewImage,$Pfad.$folder."/".$filename.".jpg");
     }
     else{
          if (!copy($file,$Pfad.$folder."/".$filename.".jpg")){
               echo "Ein Bild konnte nicht hochgeladen werden.";
          }
     }

     return true;
}

?>
